# A fixed material ui button conflict and opinionated alternative to CSS resets
<div align="center">
	<img height="140px" src="docs/logo.svg" alt="preflight">
	<br>
	“A fixed material ui button conflict and opinionated alternative to CSS resets”
	<br>
	<i>- <a href="https://tailwindcss.com/docs/preflight">Tailwind.com</a></i>
</div>

## ⚙️ Installation

Using <a href="https://www.npmjs.com/">npm</a>:

```properties
npm install tailwindcss-base
```
Using <a href="https://yarnpkg.com/">yarn</a>:

```properties
yarn add tailwindcss-base
```

## different from tailwindcss base
```css
button,
[type='button'],
[type='reset'],
[type='submit'] {
  -webkit-appearance: button; /* 1 */
  /*background-color: transparent; /* 2 */
  background-image: none; /* 2 */
}
```

## 📖 Usage

Using <a href="https://developer.mozilla.org/en-US/docs/Web/CSS/@import">CSS imports</a>:
```css
@import 'tailwindcss-base/preflightcss.css';
```

Using <a href="https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Statements/import">ES6 imports</a>:
```typescript
import 'tailwindcss-base';
```

## 🌐 CDN
Using <a href="https://www.jsdelivr.com/">JSDELIVR</a>:
```html
<link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/tailwindcss-preflight/preflightcss.css">
```

Using <a href="https://www.jsdelivr.com/">UNPKG</a>:
```html
<link rel="stylesheet" href="https://unpkg.com/tailwindcss-preflight/preflightcss.css">
```

## ❓ FAQ

### Why did you create this package?

For anyone who wants to use <a href="https://tailwindcss.com/docs/preflight">Preflight</a> but doesn't feel like pulling in all of <a href="https://tailwindcss.com/">Tailwind CSS</a>.
## ✨ Credits

<a href="https://tailwindcss.com/docs/preflight">Preflight</a> is built on top of <a href="https://github.com/sindresorhus/modern-normalize">modern-normalize</a> which itself is based on <a href="https://github.com/necolas/normalize.css">normalize.css</a>.
<br>
All credit goes to the respective code authors:
<table>
  <tr>
    <td align="center">
      <a href="https://github.com/necolas"
        ><img
          src="https://avatars.githubusercontent.com/u/239676?v=3?s=100"
          width="100px;"
          alt=""
        />
				<br />
				<sub><b>Nicolas Gallagher</b></sub></a
      >
    </td>
		<td align="center">
      <a href="https://github.com/jonathantneal"
        ><img
          src="https://avatars.githubusercontent.com/u/188426?v=3?s=100"
          width="100px;"
          alt=""
        />
				<br />
				<sub><b>Jonathan Neal</b></sub></a>
    </td>
		<td align="center">
      <a href="https://github.com/sindresorhus"
        ><img
          src="https://avatars.githubusercontent.com/u/170270?v=3?s=100"
          width="100px;"
          alt=""
        />
				<br />
				<sub><b>Sindre Sorhus</b></sub></a>
    </td>
		<td align="center">
      <a href="https://github.com/adamwathan"
        ><img
          src="https://avatars.githubusercontent.com/u/4323180?v=3?s=100"
          width="100px;"
          alt=""
        />
				<br />
				<sub><b>Adam Wathan</b></sub></a>
    </td>
		<td align="center">
      <a href="https://github.com/jonathantneal"
        ><img
          src="https://avatars.githubusercontent.com/u/882133?v=3?s=100"
          width="100px;"
          alt=""
        />
				<br />
				<sub><b>Jonathan Reinink</b></sub></a>
    </td>
  </tr>
</table>
